.flex_layout.compass {
	padding-block: 75px;

	--inactive-bg: var(--ag-grey);
    --active-bg: var(--ag-deepblue);
    --progress-bg: #D3EDF0;
    --progress-thumb: var(--ag-turquoise);
	
    --foldout-duration: 300ms;
}
.flex_layout.compass .content-col {
	text-align: center;
	max-width: 800px;
	margin-inline: auto;
	margin-bottom: 3rem;
	padding-inline: 20px;
}

.flex_layout.compass .pk-grid-container {
	display: grid;
	grid-template-columns: repeat(12, 1fr);
	gap: 20px;
	align-items: start;
	margin-inline: 20px;
}

.flex_layout.compass .items-col {
	grid-column: span 5;
    display: flex;
    flex-direction: column;
	justify-content: space-between;
	height: 100%;
    gap: 0.75rem;
}

.flex_layout.compass .items-col .item {
	display: flex;
	flex-direction: column;
	gap: 0;
    cursor: pointer;
    padding: 2.5rem;
    background-color: var(--inactive-bg);
	/* border: 1px solid rgba(66, 1, 44, 0.15); */
	border-radius: 0.5rem;
    transition: background-color var(--foldout-duration) ease-in-out;
}

.flex_layout.compass .item .item-progress-bar {
	margin-top: 1.75rem;
    height: 3px;
    width: 100%;
	border-radius: 10px;
    background-color: var(--progress-bg);
}

.flex_layout.compass .item .item-progress-bar .item-progress {
    background-color: var(--progress-thumb);
    height: 3px;
    width: 30%;
}

.flex_layout.compass .item.active {
    background-color: var(--active-bg);
    color: var(--ag-grey);
	flex-grow: 1;
	pointer-events: none;
}
.flex_layout.compass .item.active .label {
	pointer-events: all;
}

.flex_layout.compass .item .item-title {
	font-size: 1.5rem;
	color: inherit;
    margin-bottom: 0;
	opacity: 0.6;
	transition: margin-bottom 0.1s ease, font-size 0.1s ease, opacity 0.1s ease;
}
.flex_layout.compass .item.active .item-title {
    margin-bottom: 1rem;
	opacity: 1;
	font-size: 2rem;
}

.flex_layout.compass .item .content {
	flex-grow: 1;
    display: grid;
    grid-template-rows: 0fr;
    transition:
        grid-template-rows var(--foldout-duration) ease-in-out,
        margin-top var(--foldout-duration) ease-in-out;
}

.flex_layout.compass .item .content-wrapper {
	display: flex;
	flex-direction: column;
    overflow: hidden;
    transition: margin-bottom var(--foldout-duration) ease-in-out;
}

.flex_layout.compass .item .content-wrapper .pk-text {
    margin-block: 1rem;
	font-size: 1rem;
}
.flex_layout.compass .item .content-wrapper .pk-text > *:last-child {
	margin-bottom: 0;
}
.flex_layout.compass .item.active .content {
    margin-top: max(1.5rem, calc(1 * var(--su)));
    grid-template-rows: 1fr;
}
.flex_layout.compass .item .label-title {
	color: inherit;
	font-size: 1.25rem;
}
.flex_layout.compass .item .labels {
	display: flex;
	flex-wrap: wrap;
	gap: 1.25rem;
	align-items: center;
	margin-top: 0.7rem;
}
.flex_layout.compass .item .labels .label {
	font-size: 1.125rem;
	padding: 10px 20px;
	border: 1px solid var(--ag-grey);
	border-radius: 100px;
	color: var(--ag-grey);
	text-decoration: none;
	transition: all 0.2s ease;
}
.flex_layout.compass .item .labels a.label:hover {
	background: var(--ag-grey);
	color: var(--active-bg);
}

.flex_layout.compass .images-col {
	grid-column: span 7;
	width: 100%;
	border-radius: 0.5rem;
    overflow: clip;
	background-color: var(--ag-turquoise);
}
.flex_layout.compass .images-col-wrapper {
	position: relative;
	display: grid;
    grid-template-areas: "stack";
	height: 100%;
}

.flex_layout.compass .images-col .background {
	position: absolute;
	inset: 0;
	z-index: 4;
	pointer-events: none;
	background-image: url('https://attachedglobal.com/wp-content/uploads/2026/08/Attached-compass-bg-1.svg'); 
	background-size: cover; 
	background-position: center;
	background-repeat: no-repeat;
}
.flex_layout.compass .images-col #compass-svg {
	position: absolute;
	bottom: 0;
	right: 0;
	z-index: 5;
	translate: 40% 40%;
	width: 100%;
	height: auto;
	pointer-events: none;
}

.flex_layout.compass .images-col .image-wrapper {
	position: relative;
	z-index: 2;
	display: block;
	grid-area: stack;
    transition: opacity var(--foldout-duration) ease-in-out;
}
.flex_layout.compass .images-col .image-wrapper:hover::before {
	opacity: 0.5;
}
.flex_layout.compass .images-col .image-wrapper img {
	position: relative;
	z-index: 1;
	width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 16/10;
}
.flex_layout.compass .images-col .image-wrapper .content-wrapper {
	position: relative;
	z-index: 3;
	padding: 2.5rem;
	color: #ffffff;
}
.flex_layout.compass .images-col .item-heading {
	display: flex;
	flex-direction: column;
	color: inherit;
	line-height: 1.2;
}
.flex_layout.compass .images-col .item-heading .counter {
	font-weight: 400;
}
.flex_layout.compass .images-col .item-heading .pk-heading-subtext {
	font-weight: 400;
}
.flex_layout.compass .images-col .pk-text {
	font-size: 1rem;
	margin-block: 2rem;
	padding-right: 35%;
}
.flex_layout.compass .images-col .pk-text > *:last-child {
	margin-bottom: 0;
}
.flex_layout.compass .images-col .button {
	width: fit-content;
}

@media screen and (min-width: 993px) {
	.flex_layout.compass .images-col {
		position: sticky;
		top: 225px;
		aspect-ratio: 51/44;
	}
	.flex_layout.compass .images-col .pk-text {
		padding-right: 25%;
	}
}

@media screen and (max-width: 992px) {
	.flex_layout.compass .items-col {
		grid-column: span 12;
	}
	.flex_layout.compass .images-col .background {
		display: none;
	}
	.flex_layout.compass .images-col #compass-svg {
		width: 80%;
	}
}

@media screen and (max-width: 767px) {
	.flex_layout.compass .items-col .item,
	.flex_layout.compass .images-col .image-wrapper .content-wrapper {
		padding: 2rem 1.25rem;
	}
	.flex_layout.compass .images-col .image-wrapper {
		z-index: 10;
	}
}